Name:           scons
Version:        2.5.1
Release:        %mkrel 1
Epoch:          1
Summary:        Open Source software construction tool
License:        MIT
Group:          Development/Other
URL:            http://www.scons.org/
Source0:        http://sourceforge.net/projects/scons/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        scons.macros
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)

Requires:       python-%{name} = %{epoch}:%{version}-%{release}

%description
SCons is an Open Source software construction tool--that is, a build
tool; an improved substitute for the classic Make utility; a better way
to build software. SCons is based on the design which won the Software
Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of
all dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines. SCons
uses MD5 signatures to rebuild only when the contents of a file have
really changed, not just when the timestamp has been touched. SCons
supports side-by-side variant builds, and is easily extended with user-
defined Builder and/or Scanner objects.

%package -n     python-%{name}
Summary:        SCons library
Group:          Development/Python
BuildRequires:  python

%description -n python-%{name}
The SCons library is required by scons.

%prep
%setup -q

%build
%py2_build

%install
%define install_parameters --record=INSTALLED_FILES --symlink-scons --standard-lib

%py2_install %install_parameters

%{__mkdir_p} %{buildroot}%{_mandir}
%{__mv} %{buildroot}%{_prefix}/man/* %{buildroot}%{_mandir}

# install scons rpm macro helper
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.d/scons.macros

%files
%doc CHANGES.txt README.txt RELEASE.txt
%license LICENSE.txt
%{_bindir}/scons
%{_bindir}/scons-configure-cache
%{_bindir}/scons-time
%{_bindir}/sconsign
%{_bindir}/scons-%{version}
%{_bindir}/scons-configure-cache-%{version}
%{_bindir}/sconsign-%{version}
%{_bindir}/scons-time-%{version}
%config(noreplace) %{_sysconfdir}/rpm/macros.d/scons.macros
%{_mandir}/man1/scons.1*
%{_mandir}/man1/scons-time.1*
%{_mandir}/man1/sconsign.1*

%files -n python-%{name}
%doc PKG-INFO
%{python2_sitelib}/*


%changelog
* Fri Nov 11 2016 akien <akien> 1:2.5.1-1.mga6
+ Revision: 1066446
- Version 2.5.1

* Thu Apr 14 2016 daviddavid <daviddavid> 1:2.5.0-1.mga6
+ Revision: 1001524
- new version: 2.5.0
- use new python macros

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 1:2.4.1-1.mga6
+ Revision: 902725
- new version: 2.4.1

* Tue Sep 22 2015 daviddavid <daviddavid> 1:2.4.0-1.mga6
+ Revision: 882185
- new version: 2.4.0
- use new python2 macros
- introduce license macro

* Sat Aug 01 2015 daviddavid <daviddavid> 1:2.3.6-1.mga6
+ Revision: 860232
- new version: 2.3.6

* Fri Jul 24 2015 daviddavid <daviddavid> 1:2.3.5-1.mga6
+ Revision: 856765
- new version: 2.3.5

* Sat Jun 20 2015 daviddavid <daviddavid> 1:2.3.4-1.mga6
+ Revision: 835788
- new version: 2.3.4

* Wed Oct 15 2014 umeabot <umeabot> 1:2.3.3-4.mga5
+ Revision: 740348
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.3.3-3.mga5
+ Revision: 730116
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.3.3-2.mga5
+ Revision: 689073
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 daviddavid <daviddavid> 1:2.3.3-1.mga5
+ Revision: 669644
- new version: 2.3.3
- update Source0 link-url

* Sat Jun 28 2014 pterjan <pterjan> 1:2.3.1-1.mga5
+ Revision: 640773
- 2.3.1
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1:2.3.0-3.mga4
+ Revision: 544543
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:2.3.0-2.mga4
+ Revision: 499851
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 oden <oden> 1:2.3.0-1.mga4
+ Revision: 496851
- 2.3.0

* Mon Jan 14 2013 umeabot <umeabot> 1:2.2.0-2.mga3
+ Revision: 381890
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 fwang <fwang> 1:2.2.0-1.mga3
+ Revision: 292516
- new version 2.2.0

* Thu Jan 05 2012 fwang <fwang> 1:2.1.0-1.mga2
+ Revision: 191115
- new version 2.1.0

* Tue Jan 18 2011 pterjan <pterjan> 1:2.0.1-3.mga1
+ Revision: 21807
- Rebuild for python 2.7

  + dmorgan <dmorgan>
    - imported package scons

